      program pltstr
c
c   ===================================================
c      prepare initial data for plotting 
c   ===================================================
c
      parameter(mx=256,my=256)
      dimension field(mx,my),displ(mx,my)
      character*20 filename
c
c  read external size of fault. This is the maximum size of the fault. 
c  the field will be zero outside the rectangle [ix0, ix1, iy0, iy1]
c  if you do not want this fault, just put ix0=1, ix1=nx, iy0=1, iy1=ny 
c
      read(5,*)filename
      open(20,file=filename)
      slmax=0
c
c  read size of grid
c
      read(20,*) nx,ny
c      write(6,*)'a lu nx,ny =',nx,ny
      do i=1,nx
         do j=1,ny
            field(i,j)=0.
         enddo
      enddo
c
c  read file
c
      read(20,*)((displ(i,j),i=1,nx),j=1,ny)
      do j=1,ny
         do i=1,nx
            if(slmax.lt.displ(i,j)) slmax=displ(i,j)
         enddo
      enddo
      close(20)
c      print *,' a lu 8x18 data points, slmax = ', slmax
c      write(6,*) nx,ny
      do j=1,ny
         write(6,'(g12.5)') (displ(i,j),i=1,nx)
         write(6,*)
      enddo
      end


